Skip to main content
Help us improve Python packaging – donate today!

WS-Security (SOAP WSSE) signing and encryption

Project Description

Test status Test coverage Documentation Status Latest version

WS-Security (WSSE) support for Python, including an optional Suds plugin.

py-wsse supports Python 2.7, 3.3, and 3.4.

Getting Help

Documentation for py-wsse is available at https://py-wsse.readthedocs.org/

This app is available on PyPI and can be installed with pip install py-wsse (or pip install py-wsse[suds] to also pull in Suds as a dependency). (Due to a temporary need for a patched dependency, you have to also include -f https://github.com/orcasgit/py-wsse/raw/master/vendor/xmlsec-0.3.1.orcas1.tar.gz in the pip command).

Contributing

See the contributing docs.

CHANGES

0.1 (2015.06.26)

  • Initial working version.

Release history Release notifications

This version
History Node

0.1

Download files

Download the file for your platform. If you're not sure which to choose, learn more about installing packages.

Filename, size & hash SHA256 hash help File type Python version Upload date
py-wsse-0.1.tar.gz (9.7 kB) Copy SHA256 hash SHA256 Source None Jun 26, 2015

Supported by

Elastic Elastic Search Pingdom Pingdom Monitoring Google Google BigQuery Sentry Sentry Error logging CloudAMQP CloudAMQP RabbitMQ AWS AWS Cloud computing Fastly Fastly CDN DigiCert DigiCert EV certificate StatusPage StatusPage Status page